Skip to main content
POST
/
v3
/
async
/
wan2.7-videoedit
Wan 2.7 Video Editing
curl --request POST \
  --url https://api.novita.ai/v3/async/wan2.7-videoedit \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "seed": 123,
  "ratio": "<string>",
  "prompt": "<string>",
  "duration": 123,
  "video_url": "<string>",
  "watermark": true,
  "resolution": "<string>",
  "audio_setting": "<string>",
  "prompt_extend": true,
  "negative_prompt": "<string>",
  "reference_image_url": "<string>",
  "reference_image_url_2": "<string>",
  "reference_image_url_3": "<string>"
}
'
{
  "task_id": "<string>"
}
Wan 2.7 Video Editing model with multimodal input support (text/image/video). Capable of instruction-based video editing and video style transfer. Supports 720P and 1080P resolutions, duration 2~10 seconds, billed per second. Output includes audio by default.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

seed
integer
Random seed for improving reproducibility. Range: [0, 2147483647].Value range: [0, 2147483647]
ratio
string
Output video aspect ratio. If not set, uses input video’s aspect ratio. 720P: 16:9(1280720), 9:16(7201280), 1:1(960960), 4:3(1104832), 3:4(8321104). 1080P: 16:9(19201080), 9:16(10801920), 1:1(14401440), 4:3(16481248), 3:4(12481648).Optional values: 16:9, 9:16, 1:1, 4:3, 3:4
prompt
string
Text prompt describing desired video edits. Supports Chinese and English, max 5000 characters. Examples: ‘Convert the entire scene to clay style’, ‘Replace the girl’s clothes with the ones in the reference image’.Length limit: 0 - 5000
duration
integer
default:0
Output video duration in seconds. Default 0 means use input video duration without truncation. When set to an integer in [2, 10], the system truncates from the start of the input video to the specified length. Only configure when truncation is needed.Value range: [0, 10]
video_url
string
required
Input video URL to be edited. Supported formats: mp4, mov. Duration: 210s, resolution: width and height in [240, 4096] pixels, aspect ratio 1:88:1, max 100MB.
watermark
boolean
default:false
Add watermark to the output video (bottom-right corner).
resolution
string
default:"1080P"
Output video resolution tier, affects pricing (1080P > 720P). Video aspect ratio matches input unless ratio is specified.Optional values: 720P, 1080P
audio_setting
string
default:"auto"
Audio behavior. ‘auto’: model decides based on prompt content - may regenerate audio if prompt involves sound, otherwise may keep original. ‘origin’: force keep original video audio.Optional values: auto, origin
prompt_extend
boolean
default:true
Enable intelligent prompt rewriting using LLM. Improves generation quality for short prompts but increases processing time.
negative_prompt
string
Negative prompt describing undesired content in the output video. Supports Chinese and English, max 500 characters.Length limit: 0 - 500
reference_image_url
string
Reference image URL for providing visual reference for editing (e.g., clothing replacement, style transfer). Supported formats: JPEG, JPG, PNG (no transparency), BMP, WEBP. Resolution: [240, 8000] pixels, aspect ratio 1:8~8:1, max 20MB. Up to 3 reference images supported.
reference_image_url_2
string
Second reference image URL. Same format restrictions as reference_image_url.
reference_image_url_3
string
Third reference image URL. Same format restrictions as reference_image_url.

Response

task_id
string
Use the task_id to request the Task Result API to retrieve the generated outputs.